module PolyglotCli
  module Command
    class Status
      include Helper::Terminal
      include Helper::General

      def self.init
        new.call
      end

      def call
        if server_changed?
          prompt.warn('Changes have occured on the server.')
        else
          prompt.ok('No changes have been made on the server.')
        end
      end
    end
  end
end
