module PolyglotCli
  module Helper
    module Depaginate
      PER_PAGE = 100

      def depaginate_query(query)
        depaginated_array = []
        page = query.page(1).per(PER_PAGE).all
        until page.nil?
          depaginated_array += page
          page = page.pages.next
        end
        depaginated_array
      end
    end
  end
end
